/*****************************************************************************
 *- Utility Function Declarations (Non-Exported) ----------------------------*
 *****************************************************************************/

#pragma once
#include <visatype.h>

ViStatus rsspecan_InitAttributes(ViSession instrSession);

ViStatus rsspecan_DefaultInstrSetup(ViSession openInstrSession);

ViStatus rsspecan_CheckStatus(ViSession instrSession);

ViStatus rsspecan_ParseLimitLineCatalog(ViChar  *buffer,
                                        ViInt32 size,
                                        ViChar  *catalogList,
                                        ViInt32 *nbValues);

ViBoolean rsspecan_IsFSV(ViSession instrSession);

ViStatus rsspecan_AssertFSV(ViSession instrSession);

ViStatus rsspecan_AssertNotFSV(ViSession instrSession);

ViStatus rsspecan_dataReadTrace(ViSession instrSession,
                                ViInt32   window,
                                ViString  trace,
                                ViInt32   arrayLength,
                                ViReal64  traceData[],
                                ViPInt32  noofPoints);

ViStatus rsspecan_dataReadTraceLinear(ViSession instrSession,
                                      ViInt32   window,
                                      ViString  trace,
                                      ViInt32   arrayLength,
                                      ViReal64  traceData[],
                                      ViPInt32  noofPoints);

ViStatus _VI_FUNC rsspecan_dataReadInterleaved(ViSession instrSession,
                                               ViString  cmd,
                                               ViInt32   timeout,
                                               ViInt32   arraySize,
                                               ViReal64  arrayA[],
                                               ViReal64  arrayB[],
                                               ViPInt32  actualPoints);

ViStatus rsspecan_utility_error_message(ViSession instrSession,
                                        ViStatus  errorCode,
                                        ViChar    errorMessage[]);

